![](doc/img/hscloud-smol.png)

`hscloud` is the main monorepo of the Warsaw Hackerspace infrastructure code.

Getting started
---------------

See [//doc/codelabs](/doc/codelabs) for tutorials on how to use hscloud.

If you want to browse the source of `hscloud` in a web browser, use [cs.hackerspace.pl](https://cs.hackerspace.pl/hscloud).

If you want some other help, talk to q3k, informatic or your therapist.

Directory Structure
-------------------

Directories you should care about:

 - **app**: external services that we host that are somewhat universal: matrix, mastodon, etc.
 - **bgpwtf**: code related to our little ISP
 - **cluster**: code related to our Kubernetes cluster (`k0.hswaw.net`)
 - **dc**: code related to datacenter automation
 - **devtools**: code related to developer tooling, like gerrit or hackdoc
 - **doc**: high-level documentation that doesn't fit anywhere else, ie. codelabs
 - **hswaw**: Warsaw Hackerspace specific/internal services. The line between this and **app** is unfortunately blurry.
 - **personal**: user's personal (experimental) directories
 - **kube**, **go**: code specific to languages but general to the whole of hscloud

Licensing
---------

Unless noted otherwise, code in hscloud is licensed under the BSD 0-clause license - see [COPYING](/COPYING).
