from sys import argv, exit

# simple wrapper so we don't need two container entrypoints
assert len(argv) > 1, "specify a command"
if argv[1] == "serve":
    import serve
    serve.main()
elif argv[1] == "manage":
    import manage
    manage.main(argv[1:])
else:
    print("unknown command", argv[1])
    exit(1)
