local mailman = import "mailman.libsonnet";
local secrets = import "secrets/plain/prod.libsonnet";

mailman {
    cfg+: secrets {
        namespace: "mailman-hackerspace-prod",
        webDomain: "lists2.hackerspace.pl",

        wg+: {
            address: "172.17.1.2/32",
            peerPubkey: "sKobxe3U6Gz72MWXEETTr8fSFIPSuX/WOGGFwd3oXy8=",
            endpoint: "boston-packets.hackerspace.pl:51820"
        },

        //objectStorage+: {
            //bucket: "mailman-prod",
        //},

    },
}
