local mastodon = import "mastodon.libsonnet";
local secrets = import "secrets/plain/prod.libsonnet";

mastodon {
    cfg+: secrets {
        namespace: "mastodon-hackerspace-prod",
        localDomain: "hackerspace.pl",
        webDomain: "social.hackerspace.pl",

        objectStorage+: {
            bucket: "mastodon-prod",
        },

        scaling: {
            web: 5,
            sidekiq: 5,
        },
    },
}
