matrix well-known server
========================

This is a small service that runs alongside a Matrix Synapse in order to direct traffic to it via .well-known/matrix/*.

We currently satisfy two URLs formats:

 - .well-known/matrix/client: [as per the client-server spec](https://matrix.org/docs/spec/client_server/latest#well-known-uri), ie. m.homeserver set.
 - .well-known/matrix/server: [as per the federation spec](https://matrix.org/docs/spec/server_server/latest#get-well-known-matrix-server), ie. m.server set

Usage
-----

This is automatically ran as part of the kubernetes machinery for Synapse. See //app/matrix/lib/matrix.libsonnet for more information.
