irr
===

A proxy to access IRR RPSL data. It queries IANA for the responsible IRR, then the IRR directly.

It currently support ARIN and RIPE.

It currently supports querying for information about an aut-num, and returns the following attributes:
 - remarks
 - import
 - export

Example
-------

    $ grpcurl -format text -plaintext -d 'as: "26625"' 127.0.0.1:4220 ix.IRR.Query
    source: SOURCE_ARIN
    attributes: <
      import: <
        expressions: <
          peering: "AS6083"
          actions: "pref=10"
        >
        filter: "ANY"
      >
    >
    attributes: <
      import: <
        expressions: <
          peering: "AS12491"
          actions: "pref=10"
        >
        filter: "ANY"
      >
    >
    attributes: <
      import: <
        expressions: <
          peering: "AS20459"
          actions: "pref=10"
        >
        filter: "ANY"
      >
    >
    attributes: <
      export: <
        expressions: <
          peering: "AS6083"
        >
        filter: "AS26625"
      >
    >
    attributes: <
      export: <
        expressions: <
          peering: "AS12491"
        >
        filter: "AS26625"
      >
    >
    attributes: <
      export: <
        expressions: <
          peering: "AS20459"
        >
        filter: "AS26625"
      >
    >

