PeeringDBProxy
==============

Exposes PeeringDB data as gRPC.

API defined in [ix.proto](../proto/ix.proto).

Usage
-----

    $ bazel run //bgpwtf/cccampix/peeringdb:peeringdb -- -hspki_disable
    $ grpcurl -plaintext -d '{"id": 2325}' 127.0.0.1:4200 ix.PeeringDBProxy.GetIXMembers
    {
      "members": [
        {
          "asn": 206924,
          "ipv4": "185.230.223.195",
          "name": "BENJOJONET"
        },
        {
          "asn": 207080,
          "ipv4": "185.230.223.194",
          "ipv6": "fe80::8651:4050:1715:bc4f",
          "name": "Basil Fillan"
        },
        {
          "asn": 39192,
          "ipv4": "185.230.223.198",
          "ipv6": "fe80::3:9192:1",
          "name": "JackNet"
        },
        {
          "asn": 205271,
          "ipv4": "185.230.223.199",
          "ipv6": "fe80::20:5271:1",
          "name": "Harry Reeder"
        }
      ]
    }


