HBJ11 Flasher
=============

This is a EEPROM flashing tool for the HBJ11 cards designed at the Warsaw Hackerspace.

It's made up of two parts:

The Device (Bluepill)
---------------------

An USB/I2C adapter based on an STM32 Bluepill devboard. See [bluepill](bluepill/) for more information. You will need one physically plugged into your machine and wired up to a PCIe socket to insert the HBJ11s into.

![](../doc/bluepill.jpg)

The Web Interface (WebI2C)
---------------------------

A WebUSB-based flashing tool that will run under any Chromium-based browser (eg. Chrome, Edge. See [web](web/) for more information or [start WebI2C now](web/index.html).

![](../doc/webi2c.png)
