{ config, pkgs, lib, ... }:

{
  services.tftpd.enable = true;
  services.tftpd.path = pkgs.linkFarm "netboot" [
    {
      name = "netboot.xyz.efi";
      path = pkgs.fetchurl {
        url = "https://github.com/netbootxyz/netboot.xyz/releases/download/2.0.48/netboot.xyz.efi";
        sha256 = "1ch8ngryyr2abbrzpf0xb888a5d3rmnvfj8v0frfykhgs607666f";
        #3b2de54224963ee17857a9737b65d49edc423e06ad7e9c9b85d9f69ca923676a";
      };
    }
    {
      name = "netboot.xyz.kpxe";
      path = pkgs.fetchurl {
        url = "https://github.com/netbootxyz/netboot.xyz/releases/download/2.0.48/netboot.xyz.kpxe";
        sha256 = "0p3qcdiialzbqjmiss6qay7qdz6b8mdsx5lk4hf75rlkwjh3yhax";
      };
    }
  ];
}
