Monitoring
==========

Setting up monitoring in hscloud is a work in progress.

Components
----------

Currently we have a per-cluster setup with prometheus scraping Kubernetes nodes
(kubeletes) for kubelet metrics and cAdvisor metrics.

    .-----------------------------------------------------------.
    |                        k0.hswaw.net                       |
    |-----------------------------------------------------------|
    |  .---------------------.                                  |
    |  | ns: metrics-cluster |    .--------------------------.  |
    |  |---------------------|    |  kubernetes.svc.cluster  |  |
    |  | prometheus          |--> | apiserver proxy to nodes |  |
    |  '---------------------'    '--------------------------'  |
    |                                         |                 |
    '---------------------------------------- v ----------------'
                                  .---------------------.
                                  |   bc0n01.hswaw.net  |-.
                      Kubernetes  |---------------------| |-.
                           Nodes  |  /metrics           |-| |
                                  |  /metrics/cadvisor  | |-|
                                  '---------------------' | |
                                    '---------------------' |
                                      '---------------------'

Everything else (dashboard, aggregation, user metrics) is a work in progress.

Legacy
------

There is a legacy prometheus/grafana VM on https://metrics.hackerspace.pl/. The
certificate is expired, but it Generally Works, and will be kept going until
its functionality is migrated to hscloud.
