package pl.hackerspace.repository;

import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;
import pl.hackerspace.domain.Client;
import pl.hackerspace.domain.Invoice;

@Repository
public interface InvoiceRepository extends JpaRepository<Invoice, String> {

    @Query(value = "SELECT max(id) FROM Invoice")
    long getMaxId();
}
