build:
```
docker build -t registry.k0.hswaw.net/radex/bruh:VERSION --platform linux/amd64 personal/radex/demo
```

check locally:
```
docker run -it --rm -d -p 8080:8080 --name web registry.k0.hswaw.net/radex/bruh:VERSION
docker stop web
```

push image:
```
docker push registry.k0.hswaw.net/radex/bruh:VERSION
# if needed, authenticate via https://registry.k0.hswaw.net
# update cfg.image in prod.jsonnet
```

deploy:
```
prodaccess
# if broken, check $PATH and/or run
bazel run //tools:install

kubecfg update personal/radex/demo/prod.jsonnet

# see health
kubectl -n personal-radex get all,cm,secret,ing
```
