#!/usr/bin/env bash

# A wrapper around the real calicoctl to configure etcd access.

source tools/hscloud/lib.sh || exit 1

function main() {
    local ws=$(hscloud::workspace_location)
    export DATASTORE_TYPE=kubernetes
    export KUBECONFIG=~/.kube/config
    "$(hscloud::must_rlocation calicoctl_3_15/file/calicoctl)" "$@"
}

main "$@"
