local mirko = import "../../kube/mirko.libsonnet";
local kube = import "../../kube/kube.libsonnet";

{
    cfg:: {
        image: "registry.k0.hswaw.net/q3k/depotview:1606469687-42b21ecd84b713faf1c65c4ddceb74f559fe94bd",
    },

    component(cfg ,env):: mirko.Component(env, "depotview") {
        local depotview = self,
        cfg+: {
            image: cfg.image,
            container: depotview.GoContainer("main", "/devtools/depotview") {
                resources: {
                    requests: { cpu: "25m", memory: "256Mi" },
                    limits: { cpu: "500m", memory: "512Mi" },
                },
            }
        },
    }
}
